#!/bin/sh -x

dir=`pwd`

if [ ! -f "$dir/VERSION" ]; then
  echo "Please run this script on extracted directory."
  exit 1
fi

patch="$dir/patches/rxvt-`cat $dir/VERSION`.patch"

if [ ! -d /usr/src/rxvt ]; then
  echo "Missing rxvt source."
  echo "Please install it by Cygwin setup."
  exit 1
fi

cd /usr/src/rxvt

if [ ! -f configure-cygwin.sh ]; then
  patch -p1 < $patch
fi

if [ ! -f Makefile ]; then
  sh -x configure-cygwin.sh
fi

make
